| Elektra 0.11.0

Public Member Functions | List of all members
kdb::tools::GetPlugins Class Reference

Plugins to get configuration. More...

`#include <plugins.hpp>`

Inheritance diagram for kdb::tools::GetPlugins:

## Public Member Functions
void | tryPlugin (Plugin &plugin)
| Returns true if GetPlugins are valid afterwards.

## Detailed Description

Plugins to get configuration.

## Member Function Documentation

## ◆ tryPlugin()

void kdb::tools::GetPlugins::tryPlugin | ( | Plugin & | plugin | ) |

Returns true if GetPlugins are valid afterwards.

Will throw an exception if plugin could not be added.

The documentation for this class was generated from the following files:

- plugins.hpp
- plugins.cpp